Summary:	iw - utility to show or manipulate wireless devices and their configuration
Summary(pl.UTF-8):	iw - narzędzie do wyświetlania i modyfikowania konfiguracji urządzeń bezprzewodowych
Name:		iw
Version:	5.19
Release:	1
License:	BSD
Group:		Networking/Admin
Source0:	https://www.kernel.org/pub/software/network/iw/%{name}-%{version}.tar.xz
# Source0-md5:	fd17ca2dd5f160a5d9e5fd3f8a69f416
URL:		https://wireless.wiki.kernel.org/en/users/Documentation/iw
BuildRequires:	libnl-devel >= 1:3.2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
iw is a new nl80211 based CLI configuration utility for wireless
devices.

%description -l pl.UTF-8
iw to nowe, oparte na sterowniku nl80211, działające z linii poleceń
narzędzie do konfiguracji urządzeń bezprzewodowych.

%prep
%setup -q

sed -i -e 's#git rev-parse#false#g' version.sh

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install iw $RPM_BUILD_ROOT%{_sbindir}
install iw.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_sbindir}/iw
%{_mandir}/man8/iw.8*
%changelog
* Sat May 28 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iw.git;a=log;h=master

* Fri May 27 2022 Jan Palus <atler@pld-linux.org> 8067be4
- up to 5.19

* Fri Nov 12 2021 Jan Palus <atler@pld-linux.org> 41097d6
- up to 5.16

* Fri Oct 16 2020 Jakub Bogusz <qboosh@pld-linux.org> ae2bd55
- updated to 5.9

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 3ba6372
- updated to 5.8

* Thu Dec 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 22b9d05
- updated to 5.4

* Tue Aug 06 2019 Adam Gołębiowski <adamg@pld-linux.org> b564eae
- updated to 5.3

* Sun Mar 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 70ba360
- updated to 5.0.1

* Fri Aug 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 38caff4
- updated to 4.14

* Mon Oct 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 5fb3b18
- updated to 4.9

* Mon Jun 13 2016 Jakub Bogusz <qboosh@pld-linux.org> c1d20de
- updated to 4.7

* Sat Sep 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 70dfcf6
- updated to 4.3

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> e0f5007
- updated to 4.1

* Sat Apr 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 32802e8
- updated to 4.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3bdd960
- x32 rebuild
- release 2 (by relup.sh)

* Sat Oct 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 4537c5e
- updated to 3.17

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> ba7f6ba
- updated to 3.15

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> f923a25
- updated to 3.14

* Sat Dec 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 047b53f
- updated to 3.13

* Mon Sep 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 5486b7c
- updated to 3.11

* Sat Jun 08 2013 Jakub Bogusz <qboosh@pld-linux.org> de81093
- updated to 3.10

